[BLFS Trac] #3176: Xulrunner-1.9.2.11 won't compile

BLFS Trac trac at linuxfromscratch.org
Mon Oct 25 07:17:00 PDT 2010


#3176: Xulrunner-1.9.2.11 won't compile
--------------------+-------------------------------------------------------
 Reporter:  bambi   |       Owner:  ken@…                   
     Type:  task    |      Status:  new                     
 Priority:  normal  |   Milestone:  future                  
Component:  BOOK    |     Version:  SVN                     
 Severity:  normal  |    Keywords:                          
--------------------+-------------------------------------------------------

Comment(by ken@…):

 Looking further, I'm increasingly baffled by nss in mozilla.  Looking at
 the configure script, I can see that it wants at least 3.12.8 now, but I
 can't see that it uses it.  I've now built 3.12.8 and rebuilt my (non
 xulrunner) firefox, but the resulting firefox-bin is not linked to
 libnss3 and friends.

 Then I looked at an old 3.6.10 built using the then-current nss-3.12.7,
 and again I can't see it linking to libnss3.

 So, I've taken another look at the logs from firefox-3.6.11 with
 nss-3.12.7.  Searching for -lnss I can see that it *does* link to
 libnssutil3 and libnss3, but  ldd shows no evidence of this.  I guess we'd
 better have 3.12.8 because it is what this version of mozilla wants,.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/3176#comment:2>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list